Util::Semaphore(3)

NAME
Log::Log4perl::Util::Semaphore - Easy to use semaphores

SYNOPSIS
    use Log::Log4perl::Util::Semaphore;
    my $sem = Log::Log4perl::Util::Semaphore->new( key => "abc" );

    $sem->semlock();
      # ... critical section
    $sem->semunlock();

    $sem->semset( uid  => (getpwnam("hugo"))[2],
                  gid  => 102,
                  mode => 0644
                );

DESCRIPTION
Log::Log4perl::Util::Semaphore provides the synchronisation mechanism for the Synchronized.pm appender in Log4perl, but can be used independently of Log4perl.

As a convenience, the "uid" field accepts user names as well, which it translates into the corresponding uid by running "getpwnam".

LICENSE
Copyright 2002-2026 by Mike Schilli <m@perlmeister.com> and Kevin Goess <cpan@goess.org>.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.